library IEEE;
   use IEEE.std_logic_1164.all;
   USE ieee.std_logic_arith.all ;
   USE ieee.std_logic_unsigned.all ;

entity dsmc_test is
       port (  
--	//////////// CLOCK //////////
	CLOCK_50 		: IN STD_LOGIC;

--	//////////// LED //////////
	LED			:OUT STD_LOGIC_VECTOR(7 downto 0);

--	//////////// GPIO_0, GPIO_0 connect to GPIO Default //////////
	GPIO_0			:INOUT STD_LOGIC_VECTOR(33 downto 0);
	GPIO_0_IN 		:IN STD_LOGIC_VECTOR(1 downto 0);
--	//////////// GPIO_1, GPIO_1 connect to GPIO Default //////////
	GPIO_1			:INOUT STD_LOGIC_VECTOR(33 downto 0);
	GPIO_1_IN		:IN STD_LOGIC_VECTOR(1 downto 0)
                             );
end dsmc_test ;

architecture rtl of dsmc_test is
signal led_s : STD_LOGIC_VECTOR(7 downto 0);
signal inp3 : STD_LOGIC_VECTOR(2 downto 0);
signal x, y, z, sel : STD_LOGIC;

begin
inp3 <= GPIO_0(2 downto 0);
--rst <= GPIO_0(13);
x<=inp(0);
y<=inp(1);
sel<=inp(2);

process (x, y, sel)	-- EXAMPLE2
   begin 
	 if (sel='0') then 
		 z<=x;
	 else 
		 z<=y;
	 end if;
end process;
led_s <= "0000000" & z;
LED <= led_s;
end rtl ;
